# include <bits/stdc++.h>

using namespace std;

long long A[100000];
long long B[100000];
long long C[100000];
long long prijatelji[100000];
long long neprijatelji[100000];

int main()
{
    long long n,m,x=0,x1,x2;
    scanf("%lld%lld",&n,&m);
    int i;
    for(i=0;i<n;i++)
    {
        prijatelji[i]=0;
        neprijatelji[i]=0;
    }
    for(i=0;i<n;i++)
    {
        scanf("%lld",&A[i]);
    }
    for(i=0;i<m;i++)
    {
        scanf("%lld%lld",&B[i],&C[i]);
        B[i]--;
        C[i]--;
        x1=(A[B[i]]*(prijatelji[B[i]]+1 - neprijatelji[B[i]])+A[C[i]]*(prijatelji[C[i]]+1 - neprijatelji[C[i]]));
        x2=(A[B[i]]*(prijatelji[B[i]] - neprijatelji[B[i]]-1)+A[C[i]]*(prijatelji[C[i]] - neprijatelji[C[i]]-1));
        if(x1 > x2)
        {
           prijatelji[B[i]]++;
           prijatelji[C[i]]++;
        }
        else
        {
            neprijatelji[B[i]]++;
            neprijatelji[C[i]]++;
        }
    }
    for(i=0;i<n;i++)
    {
        x+=A[i]*(prijatelji[i]-neprijatelji[i]);
    }
    printf("%lld",x);
    return 0;
}